## linuxdoc-tools 0.9.56

=== rtf-fix/Makefile ===
CC=gcc
LEX=flex
CFLAGS=-O

all: rtf2rtf

rtf2rtf: rtf2rtf.c
	$(CC) $(CFLAGS) -o rtf2rtf rtf2rtf.c -lfl

rtf2rtf.c: rtf2rtf.l
	$(LEX) -t rtf2rtf.l>rtf2rtf.c

install: rtf2rtf
	cp rtf2rtf /usr/local/bin

clean: 
	/bin/rm -f rtf2rtf.c rtf2rtf core

=== debian/changelog ===
linuxdoc-tools (0.9.56) unstable; urgency=low

  * debian/addition/{awk,sgmlswhich}:
    - Fix 'unsafe echo with backslash' dashism. echo message will
      now render properly also with bash (Closes: #489630).

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 07 Jul 2008 12:00:15 +0200

linuxdoc-tools (0.9.55) unstable; urgency=low

  * Improvements in the info backend:
    - lib/dist/fmt_info.pl:
      + Make sure headers are written in a single line
    - lib/dist/linuxdoc-tools/info/mapping:
      + Use more texinfo elements: @emph, @strong, @sc and @uref
      + Reorganize mapping file.
  * Improvements in the lyx backend:
    - Move lyx header from mapping to fmt_lyx.pl
    - Move tscreen code from mapping to fmt_lyx.pl. Improve support.
    - linuxdoc class is no longer suported by lyx. Use plain article,
      report or book classes instead. Use LyX-Code layout instead of
      no longer suported Verbatim layout.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 01 Jul 2008 18:55:48 +0200

=== debian/control ===
Source: linuxdoc-tools
Section: text
Priority: optional
Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
Uploaders: Agustin Martin Domingo <agmartin@debian.org>
Vcs-Git: git://git.debian.org/git/users/agmartin/linuxdoc-tools.git
Vcs-Browser: http://git.debian.org/?p=users/agmartin/linuxdoc-tools.git;a=summary
Build-Depends: debhelper (>=4 ), perl, flex, gawk|mawk, sp|opensp, texinfo, groff (>= 1.15.3.1),
 texlive-base-bin, texlive-latex-recommended, texlive-fonts-recommended
Standards-Version: 3.8.0

Package: linuxdoc-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
 sp|opensp, sgml-data, gawk|mawk
Suggests: texinfo, info-browser, groff,
 texlive-latex-base|tetex-base (>= 0.9.990406),
 texlive-base-bin|tetex-bin,
 texlive-latex-recommended|tetex-extra,
 linuxdoc-tools-text, linuxdoc-tools-latex, linuxdoc-tools-info
Provides: linuxdoc-sgml
Conflicts: linuxdoc-sgml, sgml-tools (<= 1.0.9-90)
Replaces: linuxdoc-sgml, sgml-tools,
 linuxdoc-tools-text (<< 0.9.20),
 linuxdoc-tools-info (<< 0.9.20),
 linuxdoc-tools-latex (<< 0.9.20)
Description: convert LinuxDoc SGML source into other formats
 LinuxDoc sgml is a highly configurable text format for writing
 documentation, something like html only it's simpler and can be
 converted to various other formats, including html for websites.
 You write a LinuxDoc document using any text editor such as vim.
 Then you use linuxdoc-tools to convert it to html, rtf, plain-text
 (install linuxdoc-tools-text), info (install linuxdoc-tools-info),
 latex, dvi or postscript (install linuxdoc-tools-latex). The
 sgmltools-lite package can convert LinuxDoc to DocBook format.
 .
 LinuxDoc can automatically create a table of contents.  It's easier to
 write and read than docbook since it allows one to omit most closing
 tags while paragraphs are separated by just blank lines.

Package: linuxdoc-tools-text
Architecture: all
Depends: linuxdoc-tools, groff
Conflicts: linuxdoc-tools (<< 0.9.20)
Description: Text output facility of LinuxDoc-Tools
 LinuxDoc-Tools is a SGML converter for the LinuxDoc DTD only.
 This package is to provide the required dependency for
 text conversion facility of LinuxDoc-Tools.
 See the description of linuxdoc-tools package for more detail.

Package: linuxdoc-tools-latex
Architecture: all
Depends: linuxdoc-tools,
 texlive-latex-base|tetex-base,
 texlive-base-bin|tetex-bin,
 texlive-latex-recommended|tetex-extra
Conflicts: linuxdoc-tools (<< 0.9.20)
Description: LaTeX/PS/PDF output facility of LinuxDoc-Tools
 LinuxDoc-Tools is a SGML converter for the LinuxDoc DTD only.
 This package is to provide the required dependency for
 LaTeX/PS/PDF conversion facility of LinuxDoc-Tools.
 See the description of linuxdoc-tools package for more detail.

Package: linuxdoc-tools-info
Architecture: all
Depends: linuxdoc-tools, texinfo
Conflicts: linuxdoc-tools (<< 0.9.20)
Description: Info output facility of LinuxDoc-Tools
 LinuxDoc-Tools is a SGML converter for the LinuxDoc DTD only.
 This package is to provide the required dependency for
 info conversion facility of LinuxDoc-Tools.
 See the description of linuxdoc-tools package for more detail.

=== debian/rules ===
#!/usr/bin/make -f

SHELL=/bin/bash

package=linuxdoc-tools

# for FHS transition
DOCDIR=usr/share/doc/$(package)
MANDIR=usr/share/man
INFODIR=usr/share/info
copyright=debian/$(package).copyright

# create linuxdoc-tools copyright file by merging some files

define build_ldt_copyright
	cat debian/copyright                                           > $(copyright)
	echo -e '\n------------------\n The linuxdoc-tools license\n' >> $(copyright)
	cat COPYING                                                   >> $(copyright)
	echo -e '\n------------------\n The sgmls license\n'          >> $(copyright)
	cat sgmls-1.1/LICENSE                                         >> $(copyright)
# sp is no longer included.
#	echo -e '\n------------------\n The sp license\n' >>\
#		debian/$(package).copyright
#	cat sp/COPYING >> debian/$(package).copyright
	echo -e '\n------------------\n The iso-entities license\n'   >> $(copyright)
	cat iso-entities/COPYING                                      >> $(copyright)
	echo -e '\n------------------\n The entity-map license\n'     >> $(copyright)
	cat entity-map/COPYING                                        >> $(copyright)
endef

# The next section may have to be extensively modified

build: build-stamp
build-stamp:
	dh_testdir

	PATH=/usr/bin:$(PATH) ./configure \
		--prefix=/usr \
	 	--mandir=/$(MANDIR) \
		--with-installed-nsgmls

	$(MAKE) prefix=/usr mandir=/$(MANDIR) \
		PERL=/usr/bin/perl \
	  	OPTIMIZE="-g -O2"

# --- Rewrite to use sgmlswhich wrapper

	sed -e "s:/usr/bin/o\?nsgmls:/usr/share/linuxdoc-tools/sgmlswhich:" \
	    -e "s:/usr/bin/[gm]awk:/usr/share/linuxdoc-tools/awkwhich:" \
	   bin/linuxdoc > linuxdoc.new;

# --- Rewrite to use iso-entities from debian sgml-data package

	sed -e "s:prefix/share/sgml/iso-entities-8879.1986/iso-entities.cat:prefix/share/sgml/entities/sgml-iso-entities-8879.1986/catalog:" \
           lib/LinuxDocTools.pm > LinuxDocTools.pm.new;

	$(build_ldt_copyright)

	for i in text latex info; do \
		ln -sf copyright.dependencies \
			debian/$(package)-$$i.copyright; \
	done

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -f debian/$(package)-{text,latex,info}.copyright
	rm -f debian/$(package).copyright
	rm -f linuxdoc.new LinuxDocTools.pm.new doc/linuxdoc-sgml.info

	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

# --- do 'make install'
	$(MAKE) prefix=`pwd`/debian/tmp/usr \
		perl5libdir=`pwd`/debian/tmp/usr/share/perl5 \
		PERL=/usr/bin/perl \
		mandir=`pwd`/debian/tmp/usr/share/man \
		bindir=`pwd`/debian/tmp/usr/bin install

# --- Install shell scripts for sgml2{txt,latex,info}
	for i in txt latex info; do \
	  install -m 755 debian/addition/sgml2$$i \
	    debian/tmp/usr/bin/sgml2$$i; \
	done
# ---
	install -m 755 debian/addition/sgmlswhich \
	  debian/tmp/usr/share/linuxdoc-tools/sgmlswhich;
	install -m 755 debian/addition/awkwhich \
	  debian/tmp/usr/share/linuxdoc-tools/awkwhich;
	install -m 755 linuxdoc.new debian/tmp/usr/bin/linuxdoc
	install -m 0644 LinuxDocTools.pm.new \
	        debian/tmp/usr/share/linuxdoc-tools/LinuxDocTools.pm
# ---
	cat debian/linuxdoc-tools.info-base doc/guide.info > doc/linuxdoc-sgml.info
	dh_installinfo doc/linuxdoc-sgml.info
# ---
	mkdir -p debian/tmp/usr/share/sgml
	( cd debian/tmp/usr/share/linuxdoc-tools && mv dtd ../sgml )
# ---
	mkdir -p debian/tmp/usr/share/texmf/tex/latex/misc
	( cd debian/tmp/usr/share/linuxdoc-tools && \
		mv {linuxdoc-sgml,linuxdoctr-sgml,qwertz,null}.sty \
			../texmf/tex/latex/misc )

binary-indep:
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs  -i
	dh_installdocs  -i
	dh_installman  -i
	dh_link  -i
	dh_strip  -i
	dh_compress  -i
	dh_fixperms  -i
	dh_installdeb  -i
	dh_shlibdeps  -i
	dh_gencontrol  -i
	dh_md5sums  -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs  -a
	# - Docs are installed by dh_installdocs
	# - We use entities from sgml-data package
	dh_install -a --sourcedir=debian/tmp -Xusr/share/doc -Xusr/share/sgml/iso-entities-8879.1986  '*'
	dh_installdocs  -a -Xdoc/guide.info
	dh_installman  -a
	dh_link -a usr/share/info/linuxdoc-sgml.info.gz \
		usr/share/doc/linuxdoc-tools/linuxdoc-sgml.info.gz
	dh_link -a usr/share/sgml/dtd usr/share/linuxdoc-tools/dtd
	dh_installcatalogs -a
	dh_perl -a
	dh_strip  -a
	dh_compress  -a
	dh_fixperms  -a
	dh_installdeb  -a
	dh_shlibdeps  -a
	dh_gencontrol  -a
	dh_md5sums  -a
	dh_builddeb -a


# Below here is fairly generic really

binary:	binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean

## linuxdoc-tools 0.9.65

=== debian/changelog ===
linuxdoc-tools (0.9.65) unstable; urgency=low

  * lib/fmt/fmt_txt.pl:
    - More debugging info if debug is enabled.
    - Remove some extra not needed .Pp
  * tex backend:
    - fmt_latex2e.pl: Rearrange post processing of TeX file. Cosmetic
      changes.
    - Make linuxdoctr-sgml.sty mostly a wrapper to linuxdoc-sgml.sty.
    - Merge tr mapping file in main one for latex2e backend.
    - Always pass 'breaklinks=true' to hyperref.
  * info backend:
    - Use input file name in initial comment of resulting info file.
    - Remove info-postASP.awk. Use instead new InfoUtils.pm written
      from scratch.
    - No need of '\input texinfo' in resulting info file.
    - fmt_info.pl: Remove leading tabs in abstract (really in preamble)
    - Force an empty line before @example and list environments.
    - Minimal support for tr variant.
  * Reorganized examples dir. Added minimal example for the tr variant.
  * Rewrite sgml2{info,latex,txt} parsers to allow different program
    locations.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 15 Jun 2009 14:25:50 +0200

linuxdoc-tools (0.9.60) unstable; urgency=low

  * Some source package reorganization:
    - Relocate fmt and mapping files to simpler locations. Simpler
      symlink handling.
    - Move tex stuff in sources to a tex directory.
    - Move perl modules to perl5lib dir.
    - Move contrib/obsoleted/unsupported stuff to new extras/ dir
    - Make package $(DESTDIR) aware
  * debian/control:
    - Update git repo info for the new debian-xml-sgml group location.
    - Fix lintian spelling-error-in-description: latex -> LaTeX
    - Fix lintian debhelper-but-no-misc-depends.
  * lib/fmt/fmt_info.pl:
    - Fix mistype in error message (lyx -> info).
    - Remove CVS $Id string.
  * lib/filters/info-postASP.awk:
    - Make sure ref names are sanitized as other node names
  * New 'auxbindir', 'perllibdir' and 'texdir' configure opts.
  * Install auxiliary arch-dependent programs under
    /usr/lib/linuxdoc-tools instead of /usr/bin, using new 'auxbindir'
    configure option (Closes: #193543).
  * Install perl modules under /usr/share/perl5, using 'perllibdir'.
  * Rework bin/linuxdoc.in replacements in Makefile.in.
  * bin/linuxdoc.in:
    - New ldt_which function to search for executables in PATH.
    - Make sure we always look in @pkgdatadir@ and @perl5libdir@
  * Remove no longer used sgmlswhich and awkwhich functions along with their
    calls.
  * doc/Makedoc.sh: Simplify and reorganize doc creation script.
  * Fixed most warnings when processing docs with perl -w enabled.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 17 Feb 2009 14:22:56 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
 Uploaders: Agustin Martin Domingo <agmartin@debian.org>
-Vcs-Git: git://git.debian.org/git/users/agmartin/linuxdoc-tools.git
-Vcs-Browser: http://git.debian.org/?p=users/agmartin/linuxdoc-tools.git;a=summary
+Vcs-Git: git://git.debian.org/git/debian-xml-sgml/linuxdoc-tools.git
+Vcs-Browser: http://git.debian.org/?p=debian-xml-sgml/linuxdoc-tools.git;a=summary
 Build-Depends: debhelper (>=4 ), perl, flex, gawk|mawk, sp|opensp, texinfo, groff (>= 1.15.3.1),
  texlive-base-bin, texlive-latex-recommended, texlive-fonts-recommended
 Standards-Version: 3.8.0
@@ -31,7 +31,7 @@
  You write a LinuxDoc document using any text editor such as vim.
  Then you use linuxdoc-tools to convert it to html, rtf, plain-text
  (install linuxdoc-tools-text), info (install linuxdoc-tools-info),
- latex, dvi or postscript (install linuxdoc-tools-latex). The
+ LaTeX, dvi or postscript (install linuxdoc-tools-latex). The
  sgmltools-lite package can convert LinuxDoc to DocBook format.
  .
  LinuxDoc can automatically create a table of contents.  It's easier to
@@ -40,7 +40,7 @@
 
 Package: linuxdoc-tools-text
 Architecture: all
-Depends: linuxdoc-tools, groff
+Depends: ${misc:Depends}, linuxdoc-tools, groff
 Conflicts: linuxdoc-tools (<< 0.9.20)
 Description: Text output facility of LinuxDoc-Tools
  LinuxDoc-Tools is a SGML converter for the LinuxDoc DTD only.
@@ -50,7 +50,7 @@
 
 Package: linuxdoc-tools-latex
 Architecture: all
-Depends: linuxdoc-tools,
+Depends: ${misc:Depends}, linuxdoc-tools,
  texlive-latex-base|tetex-base,
  texlive-base-bin|tetex-bin,
  texlive-latex-recommended|tetex-extra
@@ -63,7 +63,7 @@
 
 Package: linuxdoc-tools-info
 Architecture: all
-Depends: linuxdoc-tools, texinfo
+Depends: ${misc:Depends}, linuxdoc-tools, texinfo
 Conflicts: linuxdoc-tools (<< 0.9.20)
 Description: Info output facility of LinuxDoc-Tools
  LinuxDoc-Tools is a SGML converter for the LinuxDoc DTD only.

=== debian/rules ===
#!/usr/bin/make -f
#
# Rules makefile for linuxdoc-tools package
#
# Copyright (C) 2007-2008 Agustin Martin <agmartin@debian.org>
#
# Based on debhelper examples by Joey Hess and former Debian/rules
# by Taketoshi Sano and Sven Rudolph
# --------------------------------------------------------------

SHELL     = /bin/bash

package   = linuxdoc-tools
copyright = debian/$(package).copyright
DESTDIR   = $(CURDIR)/debian/tmp

# -- For FHS transition
MANDIR    = /usr/share/man

# -- Create linuxdoc-tools copyright file by merging some files

define build_ldt_copyright
	cat debian/copyright                                           > $(copyright)
	echo -e '\n------------------\n The linuxdoc-tools license\n' >> $(copyright)
	cat COPYING                                                   >> $(copyright)
	echo -e '\n------------------\n The sgmls license\n'          >> $(copyright)
	cat sgmls-1.1/LICENSE                                         >> $(copyright)
# sp is no longer included.
#	echo -e '\n------------------\n The sp license\n' >>\
#		debian/$(package).copyright
#	cat sp/COPYING >> debian/$(package).copyright
	echo -e '\n------------------\n The iso-entities license\n'   >> $(copyright)
	cat iso-entities/COPYING                                      >> $(copyright)
	echo -e '\n------------------\n The entity-map license\n'     >> $(copyright)
	cat entity-map/COPYING                                        >> $(copyright)
endef

# The next section may have to be extensively modified

build: build-stamp
build-stamp:
	dh_testdir

	./configure --prefix=/usr \
	 	--mandir=$(MANDIR) \
		--with-installed-nsgmls \
		--with-auxbindir=/usr/lib/linuxdoc-tools \
		--with-perllibdir=/usr/share/perl5 \
		--with-texdir=/usr/share/texmf/tex/latex/misc

	$(MAKE) OPTIMIZE="-g -O2"

	$(build_ldt_copyright)

	for i in text latex info; do \
		ln -sf copyright.dependencies \
			debian/$(package)-$$i.copyright; \
	done

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -f debian/$(package)-{text,latex,info}.copyright
	rm -f debian/$(package).copyright
	rm -f linuxdoc.new LinuxDocTools.pm.new doc/linuxdoc-sgml.info

	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

# --- do 'make install'
	$(MAKE)	DESTDIR=$(DESTDIR) install

# --- Install shell scripts for sgml2{txt,latex,info}
	for i in txt latex info; do \
	  install -m 755 debian/addition/sgml2$$i \
	    $(DESTDIR)/usr/bin/sgml2$$i; \
	done
# ---
	cat debian/linuxdoc-tools.info-base doc/guide.info > doc/linuxdoc-sgml.info
	dh_installinfo doc/linuxdoc-sgml.info
# ---
	mkdir -p $(DESTDIR)/usr/share/sgml
	( cd $(DESTDIR)/usr/share/linuxdoc-tools && mv dtd ../sgml )

binary-indep:
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs  -i
	dh_installdocs  -i
	dh_installman  -i
	dh_link  -i
	dh_strip  -i
	dh_compress  -i
	dh_fixperms  -i
	dh_installdeb  -i
	dh_shlibdeps  -i
	dh_gencontrol  -i
	dh_md5sums  -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs  -a
	# - Docs are installed by dh_installdocs
	# - We use entities from sgml-data package
	dh_install -a --sourcedir=$(DESTDIR) -Xusr/share/doc -Xusr/share/sgml/iso-entities-8879.1986  '*'
	dh_installdocs  -a -Xdoc/guide.info
	dh_installman  -a
	dh_link -a usr/share/info/linuxdoc-sgml.info.gz \
		usr/share/doc/linuxdoc-tools/linuxdoc-sgml.info.gz
	dh_link -a usr/share/sgml/dtd usr/share/linuxdoc-tools/dtd
	dh_installcatalogs -a
	dh_perl -a
	dh_strip  -a
	dh_compress  -a
	dh_fixperms  -a
	dh_installdeb  -a
	dh_shlibdeps  -a
	dh_gencontrol  -a
	dh_md5sums  -a
	dh_builddeb -a


# Below here is fairly generic really

binary:	binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean

## linuxdoc-tools 0.9.66

=== debian/changelog ===
linuxdoc-tools (0.9.66) unstable; urgency=low

  * debian/control:
    - Bump debhelper dependency to 7.
  * lib/fmt/fmt_info.pl
    - Make sure non-alphanumeric characters are backslashed
      when playing with original full filename. Thanks
      Michael Klein for report and fix (Closes: #554845).

 -- Agustin Martin Domingo <agmartin@debian.org>  Sat, 07 Nov 2009 20:29:00 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Agustin Martin Domingo <agmartin@debian.org>
 Vcs-Git: git://git.debian.org/git/debian-xml-sgml/linuxdoc-tools.git
 Vcs-Browser: http://git.debian.org/?p=debian-xml-sgml/linuxdoc-tools.git;a=summary
-Build-Depends: debhelper (>=4 ), perl, flex, gawk|mawk, sp|opensp, texinfo, groff (>= 1.15.3.1),
+Build-Depends: debhelper (>= 7 ), perl, flex, gawk|mawk, sp|opensp,
+ texinfo, groff (>= 1.15.3.1),
  texlive-base-bin, texlive-latex-recommended, texlive-fonts-recommended
 Standards-Version: 3.8.0

=== debian/rules ===
--- 
+++ 
@@ -74,7 +74,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 # --- do 'make install'

## linuxdoc-tools 0.9.67

=== debian/changelog ===
linuxdoc-tools (0.9.67) unstable; urgency=low

  * Makefile.in: Pass CFLAGS and LDFLAGS instead of only OPTIMIZE.
  * fmt_txt.pl: Put txt output in a single large page (Closes: #3180).
  * debian/linuxdoc-tools.{postinst,postrm}:
    - Renamed from {postinst,postrm}.
    - Enable triggers for ls-R update when installed under dpkg
      control. Normal update otherwise (e.g., dpkg-reconfigure).
  * debian/control:
    - Add "dependency package" string to linuxdoc-tools-* long
      descriptions to deal with lintian empty-binary-package.
    - Bump Standards-Version. No changes required.
  * debian/rules:
    - Fix lintian debian-rules-missing-recommended-target build-{arch,indep}.
    - Get CFLAGS and LDFLAGS from dpkg-buildflags. Pass them to make.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 10 Oct 2011 15:24:49 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper (>= 7 ), perl, flex, gawk|mawk, sp|opensp,
  texinfo, groff (>= 1.15.3.1),
  texlive-base-bin, texlive-latex-recommended, texlive-fonts-recommended
-Standards-Version: 3.8.0
+Standards-Version: 3.9.2
 
 Package: linuxdoc-tools
 Architecture: any
@@ -45,8 +45,8 @@
 Conflicts: linuxdoc-tools (<< 0.9.20)
 Description: Text output facility of LinuxDoc-Tools
  LinuxDoc-Tools is a SGML converter for the LinuxDoc DTD only.
- This package is to provide the required dependency for
- text conversion facility of LinuxDoc-Tools.
+ This is a dependency package to provide the required dependencies
+ for text conversion facility of LinuxDoc-Tools.
  See the description of linuxdoc-tools package for more detail.
 
 Package: linuxdoc-tools-latex
@@ -58,8 +58,8 @@
 Conflicts: linuxdoc-tools (<< 0.9.20)
 Description: LaTeX/PS/PDF output facility of LinuxDoc-Tools
  LinuxDoc-Tools is a SGML converter for the LinuxDoc DTD only.
- This package is to provide the required dependency for
- LaTeX/PS/PDF conversion facility of LinuxDoc-Tools.
+ This is a dependency package to provide the required dependencies
+ for LaTeX/PS/PDF conversion facility of LinuxDoc-Tools.
  See the description of linuxdoc-tools package for more detail.
 
 Package: linuxdoc-tools-info
@@ -68,6 +68,6 @@
 Conflicts: linuxdoc-tools (<< 0.9.20)
 Description: Info output facility of LinuxDoc-Tools
  LinuxDoc-Tools is a SGML converter for the LinuxDoc DTD only.
- This package is to provide the required dependency for
- info conversion facility of LinuxDoc-Tools.
+ This is a dependency package to provide the required dependencies
+ for info conversion facility of LinuxDoc-Tools.
  See the description of linuxdoc-tools package for more detail.

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,13 @@
 
 # -- For FHS transition
 MANDIR    = /usr/share/man
+
+# Get default build flags
+
+CFLAGS    = $(shell dpkg-buildflags --get CFLAGS)
+LDFLAGS   = $(shell dpkg-buildflags --get LDFLAGS)
+
+export CFLAGS LDFLAGS
 
 # -- Create linuxdoc-tools copyright file by merging some files
 
@@ -37,7 +44,9 @@
 
 # The next section may have to be extensively modified
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
 
@@ -48,7 +57,7 @@
 		--with-perllibdir=/usr/share/perl5 \
 		--with-texdir=/usr/share/texmf/tex/latex/misc
 
-	$(MAKE) OPTIMIZE="-g -O2"
+	$(MAKE) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 	$(build_ldt_copyright)

## linuxdoc-tools 0.9.67ubuntu1

=== debian/changelog ===
linuxdoc-tools (0.9.67ubuntu1) precise; urgency=low

  * Make linuxdoc-tools* Multi-Arch: foreign, so that they can satisfy
    cross-build-dependencies.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 31 Mar 2012 09:13:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: linuxdoc-tools
 Section: text
 Priority: optional
-Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
 Uploaders: Agustin Martin Domingo <agmartin@debian.org>
 Vcs-Git: git://git.debian.org/git/debian-xml-sgml/linuxdoc-tools.git
 Vcs-Browser: http://git.debian.org/?p=debian-xml-sgml/linuxdoc-tools.git;a=summary
@@ -12,6 +13,7 @@
 
 Package: linuxdoc-tools
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
  sp|opensp, sgml-data, gawk|mawk
 Suggests: texinfo, info-browser, groff,
@@ -41,6 +43,7 @@
 
 Package: linuxdoc-tools-text
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, linuxdoc-tools, groff
 Conflicts: linuxdoc-tools (<< 0.9.20)
 Description: Text output facility of LinuxDoc-Tools
@@ -51,6 +54,7 @@
 
 Package: linuxdoc-tools-latex
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, linuxdoc-tools,
  texlive-latex-base|tetex-base,
  texlive-base-bin|tetex-bin,
@@ -64,6 +68,7 @@
 
 Package: linuxdoc-tools-info
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, linuxdoc-tools, texinfo
 Conflicts: linuxdoc-tools (<< 0.9.20)
 Description: Info output facility of LinuxDoc-Tools

## linuxdoc-tools 0.9.69

=== rtf-fix/Makefile ===
CC=gcc
LEX=flex
CFLAGS=-O

all: rtf2rtf

rtf2rtf: rtf2rtf.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o rtf2rtf rtf2rtf.c -lfl

rtf2rtf.c: rtf2rtf.l
	$(LEX) -t rtf2rtf.l>rtf2rtf.c

install: rtf2rtf
	cp rtf2rtf /usr/local/bin

clean:
	/bin/rm -f rtf2rtf.c rtf2rtf core

=== debian/changelog ===
linuxdoc-tools (0.9.69-4) unstable; urgency=medium

  * Build doc/guide.pdf instead of no longer built doc/guide.{dvi,ps}.
  * debian/rules: Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 30 Jun 2015 12:16:40 +0200

linuxdoc-tools (0.9.69-3) unstable; urgency=low

  * Build depend on texlive-binaries instead of on no longer available
    texlive-base-bin.
  * Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 07 Jul 2014 19:51:26 +0200

linuxdoc-tools (0.9.69-2) unstable; urgency=low

  * Upload to sid.
  * Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 10 May 2013 11:46:03 +0200

linuxdoc-tools (0.9.69-1) experimental; urgency=low

  * New upstream version, no longer packaged as Debian native.
  * debian/control:
    - Use canonical values for Vcs-* stuff.
    - Change some Conflicts to Breaks.
    - Drop ancient tetex dependencies.
    - Fix DocBook capitalization.
  * Mark package as 3.0 (quilt) format.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 11 Apr 2013 16:08:21 +0200

linuxdoc-tools (0.9.68) unstable; urgency=low

  [ Colin Watson ]
  * Make linuxdoc-tools* Multi-Arch: foreign, so that they can satisfy
    cross-build-dependencies.

  [ Agustin Martin Domingo ]
  * debian/control: Bump Standards-Version. No changes required.
  * rtf-fix/Makefile: Use CPPFLAGS and LDFLAGS.
  * debian/rules: Get hardened CPPFLAGS and pass them to make.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 30 May 2012 16:12:38 +0200

=== debian/control ===
Source: linuxdoc-tools
Section: text
Priority: optional
Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
Uploaders: Agustin Martin Domingo <agmartin@debian.org>
Vcs-Git: git://anonscm.debian.org/debian-xml-sgml/linuxdoc-tools.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-xml-sgml/linuxdoc-tools.git;a=summary
Build-Depends: debhelper (>= 7 ),
	       perl,
	       flex,
	       gawk | mawk,
	       sp | opensp,
	       texinfo,
	       groff (>= 1.15.3.1),
	       texlive-binaries,
	       texlive-latex-recommended,
	       texlive-fonts-recommended
Standards-Version: 3.9.6

Package: linuxdoc-tools
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 ${perl:Depends},
	 sp | opensp,
	 sgml-data,
	 gawk | mawk
Suggests: texinfo,
	  info-browser,
	  groff,
	  texlive-latex-base,
	  texlive-base-bin,
	  texlive-latex-recommended,
	  linuxdoc-tools-text,
	  linuxdoc-tools-latex,
	  linuxdoc-tools-info
Provides: linuxdoc-sgml
Breaks: linuxdoc-sgml,
	sgml-tools (<= 1.0.9-90)
Replaces: linuxdoc-sgml, sgml-tools,
	  linuxdoc-tools-text (<< 0.9.20),
	  linuxdoc-tools-info (<< 0.9.20),
	  linuxdoc-tools-latex (<< 0.9.20)
Description: convert LinuxDoc SGML source into other formats
 LinuxDoc sgml is a highly configurable text format for writing
 documentation, something like html only it's simpler and can be
 converted to various other formats, including html for websites.
 You write a LinuxDoc document using any text editor such as vim.
 Then you use linuxdoc-tools to convert it to html, rtf, plain-text
 (install linuxdoc-tools-text), info (install linuxdoc-tools-info),
 LaTeX, dvi or postscript (install linuxdoc-tools-latex). The
 sgmltools-lite package can convert LinuxDoc to DocBook format.
 .
 LinuxDoc can automatically create a table of contents.  It's easier to
 write and read than DocBook since it allows one to omit most closing
 tags while paragraphs are separated by just blank lines.

Package: linuxdoc-tools-text
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
	 linuxdoc-tools,
	 groff
Breaks: linuxdoc-tools (<< 0.9.20)
Description: Text output facility of LinuxDoc-Tools
 LinuxDoc-Tools is a SGML converter for the LinuxDoc DTD only.
 This is a dependency package to provide the required dependencies
 for text conversion facility of LinuxDoc-Tools.
 See the description of linuxdoc-tools package for more detail.

Package: linuxdoc-tools-latex
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
	 linuxdoc-tools,
	 texlive-latex-base,
	 texlive-base-bin,
	 texlive-latex-recommended
Conflicts: linuxdoc-tools (<< 0.9.20)
Description: LaTeX/PS/PDF output facility of LinuxDoc-Tools
 LinuxDoc-Tools is a SGML converter for the LinuxDoc DTD only.
 This is a dependency package to provide the required dependencies
 for LaTeX/PS/PDF conversion facility of LinuxDoc-Tools.
 See the description of linuxdoc-tools package for more detail.

Package: linuxdoc-tools-info
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
	 linuxdoc-tools,
	 texinfo
Breaks: linuxdoc-tools (<< 0.9.20)
Description: Info output facility of LinuxDoc-Tools
 LinuxDoc-Tools is a SGML converter for the LinuxDoc DTD only.
 This is a dependency package to provide the required dependencies
 for info conversion facility of LinuxDoc-Tools.
 See the description of linuxdoc-tools package for more detail.

## linuxdoc-tools 0.9.71

=== entity-map/sdata/Makefile ===
SHELL= /bin/sh
SDATAFILES= \
 ISOlat1 ISOlat1.2ab ISOlat1.2as ISOlat1.2html ISOlat1.2l1b ISOlat1.2tex \
 ISOlat2 ISOlat2.2ab ISOlat2.2as ISOlat2.2rtf ISOlat2.2tex ISOlat2.2texi \
 ISOdia ISOdia.2ab ISOdia.2as ISOdia.2html ISOdia.2tex ISOdia.2tr \
 ISOnum ISOnum.2ab ISOnum.2as ISOnum.2html ISOnum.2l1b ISOnum.2l1s ISOnum.2rtf \
 ISOnum.2tex ISOnum.2texi ISOnum.2tr ISOnum.2l1tr \
 ISOpub ISOpub.2ab ISOpub.2as ISOpub.2html ISOpub.2l1b ISOpub.2rtf ISOpub.2l1s \
 ISOpub.2tex ISOpub.2texi ISOpub.2tr \
 ISOtech ISOtech.2ab ISOtech.2as ISOtech.2html ISOtech.2l1b ISOtech.2l1s \
 ISOtech.2rtf ISOtech.2tex ISOtech.2texi ISOtech.2tr \
 GFextra.2ab  GFextra.2as  GFextra.2tex   GFextra.2texi \
 LDextra.2tex LDextra.2tr LDextra.2html \
 greek.2html lat1.2sdata

install: 
	if [ ! -d $(LIBDIR) ]; then \
	  $(MKDIR) $(LIBDIR); \
	  chmod $(PERM_D) $(LIBDIR); \
	fi
	$(CP) $(SDATAFILES) $(LIBDIR)
	(cd $(LIBDIR); chmod $(PERM_F) $(SDATAFILES))
	(cd $(LIBDIR); \
	 rm -f ISOlat1.2rtf ISOlat1.2texi ISOlat1.2tr ISOlat1.2l1s ISOlat1.2l1tr \
	       ISOlat2.2l1b ISOlat2.2l1s \
	       ISOdia.2rtf ISOdia.2texi ISOdia.2l1b ISOdia.2l1s ISOdia.2l1tr \
	       ISOpub.2l1tr \
	       ISOtech.2l1tr \
	       GFextra.2l1b GFextra.2rtf \
	       LDextra.2l1tr; \
	ln -s ISOlat1.2ab ISOlat1.2rtf; \
	ln -s ISOlat1.2ab ISOlat1.2texi; \
	ln -s ISOlat1.2ab ISOlat1.2tr; \
	ln -s ISOlat1.2l1b ISOlat1.2l1s; \
	ln -s ISOlat1.2l1b ISOlat1.2l1tr; \
	ln -s ISOlat2.2ab ISOlat2.2l1b; \
	ln -s ISOlat2.2as ISOlat2.2l1s; \
	ln -s ISOdia.2ab ISOdia.2rtf; \
	ln -s ISOdia.2ab ISOdia.2texi; \
	ln -s ISOdia.2ab ISOdia.2l1b; \
	ln -s ISOdia.2as ISOdia.2l1s; \
	ln -s ISOdia.2tr ISOdia.2l1tr; \
	ln -s ISOpub.2tr ISOpub.2l1tr; \
	ln -s ISOtech.2tr ISOtech.2l1tr; \
	ln -s GFextra.2ab GFextra.2l1b; \
	ln -s GFextra.2ab GFextra.2rtf; \
	ln -s GFextra.2as GFextra.2l1s; \
	ln -s LDextra.2tr LDextra.2l1tr;)

clean:
	${RM} *~

=== debian/changelog ===
linuxdoc-tools (0.9.71-2) unstable; urgency=medium

  * Remove dependency on obsolete sp package. Thanks Neil Roth for
    pointing this out (Closes: #803998).

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 04 Nov 2015 17:39:40 +0100

linuxdoc-tools (0.9.71-1) unstable; urgency=medium

  * New upstream 0.9.71 release.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 20 Oct 2015 13:32:41 +0200

linuxdoc-tools (0.9.70-1) unstable; urgency=medium

  * New upstream 0.9.70 release. Some of the changes:
    - Do not build docs in install target (Closes: #800537).
    - More versatile handling of doc formats for linuxdoc-tools guide.
    - Do not preserve gzip timestamps when creating guide.ps.gz.
  * Remove no longer needed 9000_doc_build-pdf-noddvi+ps.patch.
  * debian/control: Set gitlab repo as new upstream location.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 19 Oct 2015 13:02:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
 Uploaders: Agustin Martin Domingo <agmartin@debian.org>
+Homepage: https://gitlab.com/agmartin/linuxdoc-tools
 Vcs-Git: git://anonscm.debian.org/debian-xml-sgml/linuxdoc-tools.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-xml-sgml/linuxdoc-tools.git;a=summary
 Build-Depends: debhelper (>= 7 ),
 	       perl,
 	       flex,
 	       gawk | mawk,
-	       sp | opensp,
+	       opensp,
 	       texinfo,
 	       groff (>= 1.15.3.1),
 	       texlive-binaries,
@@ -23,7 +24,7 @@
 Depends: ${shlibs:Depends},
 	 ${misc:Depends},
 	 ${perl:Depends},
-	 sp | opensp,
+	 opensp,
 	 sgml-data,
 	 gawk | mawk
 Suggests: texinfo,

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,7 @@
 # Get default build flags
 
 CFLAGS    = $(shell dpkg-buildflags --get CFLAGS)
+CPPFLAGS  = $(shell dpkg-buildflags --get CPPFLAGS)
 LDFLAGS   = $(shell dpkg-buildflags --get LDFLAGS)
 
 export CFLAGS LDFLAGS
@@ -57,7 +58,7 @@
 		--with-perllibdir=/usr/share/perl5 \
 		--with-texdir=/usr/share/texmf/tex/latex/misc
 
-	$(MAKE) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
+	$(MAKE) CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 	$(build_ldt_copyright)
 
@@ -109,7 +110,7 @@
 	dh_installman  -i
 	dh_link  -i
 	dh_strip  -i
-	dh_compress  -i
+	dh_compress  -i -X.pdf
 	dh_fixperms  -i
 	dh_installdeb  -i
 	dh_shlibdeps  -i
@@ -132,7 +133,7 @@
 	dh_installcatalogs -a
 	dh_perl -a
 	dh_strip  -a
-	dh_compress  -a
+	dh_compress  -a -X.pdf
 	dh_fixperms  -a
 	dh_installdeb  -a
 	dh_shlibdeps  -a
@@ -146,4 +147,3 @@
 binary:	binary-indep binary-arch
 
 .PHONY: binary binary-arch binary-indep clean
-

## linuxdoc-tools 0.9.72

=== extras/contrib/bk/Makefile ===
################################################################################
#
# $Id: Makefile,v 1.1.1.1 2001/05/24 15:57:40 sano Exp $
#
################################################################################

# Name des aktuellen Subdirectory's und Version der Software
PACKAGE	= 

SHELL	= /bin/sh

################################################################################
#                                                                              #
#                    Start of system configuration section.                    #
#                                                                              #
################################################################################


################################################################################
#                                                                              #
#                              Implicit Rules                                  #
#                                                                              #
################################################################################


# ETEX 2 GIF
%.gif: %.etex
	wrapetex $< | latex | dvips f | pstogif

# GIF 2 EPS
%.eps: %.tif
	tiff2ps $< > $@ 

%.tif: %.gif
	gif2tiff $< $@

%.txt:  %.sgml
	sgml2txt $<

%.tex:	%.sgml
	sgml2latex -d $<

%.dvi:	%.sgml
	sgml2latex $< 

%.info: %.sgml
	sgml2info $<

%.ps:	%.dvi
	dvips $<

%.html:	%.sgml
	sgml2html $<


# Test suite, more to come.
all:	ldoc97 sgmlt ldocs


# Checking Linuxdoc96 (Strict)
ldoc97: minimal sample \
	entity section lists glossary96

# Checking Linuxdoc97 (Extended)
sgmlt:  glossary code math tables picture citation \
	appendix refs notes

# Documentation
ldocs:    example guide aspdoc

# Work in progress
work:    unsupp


clean:
	rm -f *.html *.tex *.txt *.dos *.dvi *.ps *~ 
	rm -f *.info *.glo *.aux *.log

#
# Test files
#
minimal:   minimal.ps minimal.html minimal.txt minimal.info
sample:	   sample.ps sample.html sample.txt sample.info
entity:	   entity.ps entity.html entity.txt entity.info
section:   section.ps section.html section.txt section.info
lists:     lists.ps lists.html lists.txt lists.info

glossary96:	\
	   glossary96.html glossary96.ps glossary96.txt glossary96.info



glossary:  glossary.html glossary.ps glossary.txt glossary.info
appendix:  appendix.html appendix.ps appendix.txt appendix.info
notes:     notes.html notes.ps notes.txt notes.info

tables:    tables.ps tables.html tables.txt tables.info
code:	   code.html code.ps code.txt code.info
refs:	   refs.html refs.ps refs.txt refs.info

math:	   math.etex f.etex \
	   math.html math.ps math.txt math.info


picture:   picture.eps picture.gif \
	   small_picture.eps small_picture.gif \
	   picture.ps picture.html picture.txt picture.info \

citation:  sgmltool.bib bibtex.bib \
	   citation.ps citation.html citation.txt citation.info


#
# These might fail.
#
subdoc:	   subdoc.html subdoc.ps subdoc.txt subdoc.info
test:	test.eps test.ps test.html test.txt test.info
unsupp:	 unsupp.ps unsupp.html unsupp.txt unsupp.info

#
# Linuxdoc SGML stuff, temporary
#
example: example.ps example.html example.txt example.info
guide:	guide.ps guide.html guide.txt guide.info
aspdoc:	aspdoc.ps aspdoc.html aspdoc.txt aspdoc.info

howto:  howto.ps howto.html howto.txt howto.info

#
# Kludge, kludge
#
SGMLT=/usr/local/lib/sgml-tools/
archive:
	rm -f test/*
	cp -a Makefile *.sgml *.gif *.bib *.eps *.etex  test/
	rm -f test.tgz
	tar -zcvf test.tgz test 
	cat test.tgz | uuencode test.tgz > test.uue

dtd:
	rm -f dtd/*
	cp -a $(SGMLT)/dtd/*  dtd/
	rm -f dtd.tgz
	tar -zcvf dtd.tgz dtd  
	cat dtd.tgz | uuencode dtd.tgz > dtd.uue


#	rm -f fixed/*
#	cp -a $(SGMLT)/rep/html/mapping fixed/html.mapping
#	cp -a $(SGMLT)/rep/latex2e/mapping  fixed/latex2e.mapping
#	cp -a $(SGMLT)/linuxdoc-sgml.sty     fixed/
#	cp -a $(SGMLT)/fmt_html.pl      fixed/	
#	cp -a $(SGMLT)/fmt_latex2e.pl   fixed/


### Emacs specials
###
### Local Variables: ***
### mode:text ***
### tab-width:8 ***
### End: ***

=== debian/changelog ===
linuxdoc-tools (0.9.72-4build1) bionic; urgency=medium

  * No-change rebuild to pick up the shared flex library.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Feb 2018 07:04:08 +0000

linuxdoc-tools (0.9.72-4) unstable; urgency=medium

  * debian/control: Add libfl-dev to Build-Depends. Thanks Helmut Grohne
    for warning (Closes: #846438).
  * debian/watch: Add to keep lintian happy (I am current upstream).

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 01 Dec 2016 16:38:53 +0100

linuxdoc-tools (0.9.72-3) unstable; urgency=medium

  * debian/control: Remove trailing whitespace in debhelper builddep,
    which was temporarily causing some FTBFS due to a dpkg regression.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 05 May 2016 20:20:26 +0200

linuxdoc-tools (0.9.72-2) unstable; urgency=medium

  * debian/control: Fix Vcs-Git URI.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 05 May 2016 12:30:24 +0200

linuxdoc-tools (0.9.72-1) unstable; urgency=medium

  * New upstream 0.9.72 release. Some changes:
    - LinuxDocTools.pm::process_file: Fail if pipe to nsgmls fails
      (LP: #1552398).
    - Use a Makefile for final doc build.
    - Handle perl 5.22 deprecation of unescaped left brace in regular
      expressions inside fmt_latex2e.pl.
    - Upgrade for some deprecated latex2e commands in fmt_latex2e.pl.
    - Use generic ${MAKE} in doc/Makedoc.sh and always honour ${PREFIX}.
    - Makefile.in: Use ${INSTALL_SCRIPT} to install linuxdoc perl script.
  * debian/{rules,control}:
    - Improve hardening of build flags.
    - Bump debhelper compat version to 9.
  * debian/control:
    - Change versioned Conflicts to Breaks.
    - Use encrypted transport protocol for Vcs-* URI.
    - Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 04 May 2016 19:11:58 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,13 @@
 Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
 Uploaders: Agustin Martin Domingo <agmartin@debian.org>
 Homepage: https://gitlab.com/agmartin/linuxdoc-tools
-Vcs-Git: git://anonscm.debian.org/debian-xml-sgml/linuxdoc-tools.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-xml-sgml/linuxdoc-tools.git;a=summary
-Build-Depends: debhelper (>= 7 ),
+Vcs-Git: https://anonscm.debian.org/git/debian-xml-sgml/linuxdoc-tools.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=debian-xml-sgml/linuxdoc-tools.git;a=summary
+Build-Depends: debhelper (>= 9),
+	       dpkg-dev (>= 1.16.1.1),
 	       perl,
 	       flex,
+	       libfl-dev,
 	       gawk | mawk,
 	       opensp,
 	       texinfo,
@@ -16,7 +18,7 @@
 	       texlive-binaries,
 	       texlive-latex-recommended,
 	       texlive-fonts-recommended
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 
 Package: linuxdoc-tools
 Architecture: any
@@ -78,7 +80,7 @@
 	 texlive-latex-base,
 	 texlive-base-bin,
 	 texlive-latex-recommended
-Conflicts: linuxdoc-tools (<< 0.9.20)
+Breaks: linuxdoc-tools (<< 0.9.20)
 Description: LaTeX/PS/PDF output facility of LinuxDoc-Tools
  LinuxDoc-Tools is a SGML converter for the LinuxDoc DTD only.
  This is a dependency package to provide the required dependencies

=== debian/watch ===
version=2
opts=filenamemangle=s/.*\.tar\.gz\?ref=v?(\d\S+)/linuxdoc-tools-$1\.tar\.gz/g \
  https://gitlab.com/agmartin/linuxdoc-tools/tags?sort=updated_desc .*archive\.tar\.gz\?ref=v?(\d\S+)
